var endpoint = require("notebook")("tonic/json-endpoint/1.0.0")

var request = require("request")
var cheerio = require("cheerio")

endpoint(module.exports, function(req, done)
{
    request(req.query.url, function(error, response, body) 
    {
        if (error) return done({error: "could not retrieve page"})

        var page = cheerio.load(body)
        done({
            title: page("title").text() || "no title"
        })
    })
});
